Subject: [e2md] Another alt for CNAM: SRV style "_CNAM_"

From: Dean Willis <[email-masked]>
Date: Wed, 24 Mar 2010 15:28:10 -0500

I had lunch with Hadriel, Bob Penfield, and Jonathan Lennox.

We were discussing query models for CNAM and its interaction with NAPTR,
and Bob made a suggestion that I thought worth sharing.

SRV records use the service type as an element of the name, so that one
can be very selective about queries for services.

How about something like:

_CNAM_.0.9.1.9.9.1.5.2.7.9.1.e164.arpa  pointing to some type of RR for
the calling name?

This has the advantage of specialist RR for returning "just what is
wanted", but lets us reuse an existing RR, maybe even a NAPTR.

Or a TXT ;-).

Keep in mind that CNAM queries against a phone prefix seem to be
meaningless; one really needs a terminal ENUM name before one asks for a
CNAM lookup.

--
Dean